module Debate.Cuckery.CuckList.CateShanahan exposing (..)

import Debate.Cuckery.Types exposing (..)


cuckCateShanahan : Cuck
cuckCateShanahan =
    let
        name : String
        name =
            "Cate Shanahan"
    in
    { cuckImage = formatCuckName name
    , cuckName = name
    , cuckSocial = "https://x.com/drcateshanahan"
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1266438463634632709?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Seed oils are pro-inflammatory."
          , dodgeReceipts = []
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReasonInflammation
          }
        , { dodgeLink = "https://x.com/The_Nutrivore/status/1479497980570857474?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Those who defend seed oils are just regurgitating the garbage that the AHA pumps out."
          , dodgeReceipts = []
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason "I defend seed oils and I've never even read the AHA's material on the subject."
          }
        , { dodgeLink = "https://x.com/The_Nutrivore/status/1487215337116508162?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Seed oils are toxic."
          , dodgeReceipts = []
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        , { dodgeLink = "https://x.com/drcateshanahan/status/1516904406805057537?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Current levels of seed oil consumption are the main driver of the obesity and chronic disease."
          , dodgeReceipts = []
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        , { dodgeLink = "https://x.com/The_Nutrivore/status/1537544882532716544?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Nick is just following the AHA marching orders."
          , dodgeReceipts = []
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason "I've never even read the AHA's recommendations on anything."
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1778616438116483102"
          , dodgeDescription = RanAway
          , dodgeProposition = commonProps.propSeedOils
          , dodgeReceipts = []
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1779185488521310601"
          , dodgeDescription = OutrightNo
          , dodgeProposition = commonProps.propSeedOils
          , dodgeReceipts = []
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1778616438116483102"
          , dodgeDescription = KillScreen
          , dodgeProposition = commonProps.propSeedOils
          , dodgeReceipts = []
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Belief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReason
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1798766450255253987"
          , dodgeDescription = KillScreen
          , dodgeProposition = "Current levels of seed oil consumption are the main driver of heart disease."
          , dodgeReceipts = []
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSeedOilsReasonCVD
          }
        ]
    }
